34 lines
922 B
Diff
34 lines
922 B
Diff
|
From 6d4c7a328cab1c6cda1aedb4a2149e9227c108f0 Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Thu, 10 Jul 2014 15:56:53 +0200
|
||
|
Subject: 99base: warn on invalid command for initqueue
|
||
|
|
||
|
When 'initqueue' is called with an invalid command it'll generate
|
||
|
invalid job scripts. This will lead to confusing error messages
|
||
|
later on.
|
||
|
So abort in these cases and print out a warning.
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
---
|
||
|
modules.d/99base/initqueue.sh | 4 ++++
|
||
|
1 file changed, 4 insertions(+)
|
||
|
|
||
|
diff --git a/modules.d/99base/initqueue.sh b/modules.d/99base/initqueue.sh
|
||
|
index 854a36a..cbf6fa2 100755
|
||
|
--- a/modules.d/99base/initqueue.sh
|
||
|
+++ b/modules.d/99base/initqueue.sh
|
||
|
@@ -44,6 +44,10 @@ exe=$1
|
||
|
shift
|
||
|
|
||
|
[ -x "$exe" ] || exe=$(command -v $exe)
|
||
|
+if [ -z "$exe" ] ; then
|
||
|
+ echo "Invalid command"
|
||
|
+ exit 1
|
||
|
+fi
|
||
|
|
||
|
{
|
||
|
[ -n "$onetime" ] && echo '[ -e "$job" ] && rm -f -- "$job"'
|
||
|
--
|
||
|
1.8.4.5
|
||
|
|